// .ui.xml template last modified: 1772444277875
package org.silverpeas.mobile.client.apps.media.pages;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlUtils;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import com.google.gwt.safehtml.shared.SafeUri;
import com.google.gwt.safehtml.shared.UriUtils;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.user.client.ui.HTMLPanel;

public class SoundPage_SoundPageUiBinderImpl implements UiBinder<com.google.gwt.user.client.ui.HTMLPanel, org.silverpeas.mobile.client.apps.media.pages.SoundPage>, org.silverpeas.mobile.client.apps.media.pages.SoundPage.SoundPageUiBinder {

  interface Template extends SafeHtmlTemplates {
    @Template("<img id='{0}' src='/silverpeas/spmobile/icons/files/file-type-sound.svg' style='width:100%;'> <audio id='{1}'></audio>")
    SafeHtml html1(String arg0, String arg1);
     
    @Template("<div> <img id='{0}' src=''>  </div> <div> <span id='{1}'></span> <span class='weight' id='{2}'></span> <span class='dimension' id='{3}'></span> </div>")
    SafeHtml html2(String arg0, String arg1, String arg2, String arg3);
     
    @Template("<span id='{0}'></span>")
    SafeHtml html3(String arg0);
     
    @Template("<h2 class='mediaName' id='{0}'></h2> <div class='cadrePhoto' id='{1}'> <span id='{2}'></span> </div> <span id='{3}'></span> <ul id='attachments'> <li> <span id='{4}'></span> <span id='{5}'></span> </li> </ul> <p class='lastUpdate' id='{6}'></p> <p class='lastUpdate' id='{7}'></p>")
    SafeHtml html4(String arg0, String arg1, String arg2, String arg3, String arg4, String arg5, String arg6, String arg7);
     
  }

  Template template = GWT.create(Template.class);


  public com.google.gwt.user.client.ui.HTMLPanel createAndBindUi(final org.silverpeas.mobile.client.apps.media.pages.SoundPage owner) {


    return new Widgets(owner).get_f_HTMLPanel1();
  }

  /**
   * Encapsulates the access to all inner widgets
   */
  class Widgets {
    private final org.silverpeas.mobile.client.apps.media.pages.SoundPage owner;


    final com.google.gwt.event.dom.client.ClickHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames1 = new com.google.gwt.event.dom.client.ClickHandler() {
      public void onClick(com.google.gwt.event.dom.client.ClickEvent event) {
        owner.link((com.google.gwt.event.dom.client.ClickEvent) event);
      }
    };

    final com.google.gwt.event.dom.client.ClickHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames2 = new com.google.gwt.event.dom.client.ClickHandler() {
      public void onClick(com.google.gwt.event.dom.client.ClickEvent event) {
        owner.download((com.google.gwt.event.dom.client.ClickEvent) event);
      }
    };

    public Widgets(final org.silverpeas.mobile.client.apps.media.pages.SoundPage owner) {
      this.owner = owner;
      build_domId3();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId4();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId7();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId8();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId9();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId10();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId12();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId0();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId1();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId2();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId5();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId6();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId11();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId13();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId14();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId12Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId2Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId5Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId6Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId11Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
    }

    SafeHtml template_html1() {
      return template.html1(get_domId3(), get_domId4());
    }
    SafeHtml template_html2() {
      return template.html2(get_domId7(), get_domId8(), get_domId9(), get_domId10());
    }
    SafeHtml template_html3() {
      return template.html3(get_domId12());
    }
    SafeHtml template_html4() {
      return template.html4(get_domId0(), get_domId1(), get_domId2(), get_domId5(), get_domId6(), get_domId11(), get_domId13(), get_domId14());
    }

    /**
     * Getter for clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay called 0 times. Type: GENERATED_BUNDLE. Build precedence: 1.
     */
    private org.silverpeas.mobile.client.apps.media.pages.SoundPage_SoundPageUiBinderImpl_GenBundle get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      return build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay();
    }
    private org.silverpeas.mobile.client.apps.media.pages.SoundPage_SoundPageUiBinderImpl_GenBundle build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      // Creation section.
      final org.silverpeas.mobile.client.apps.media.pages.SoundPage_SoundPageUiBinderImpl_GenBundle clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay = (org.silverpeas.mobile.client.apps.media.pages.SoundPage_SoundPageUiBinderImpl_GenBundle) GWT.create(org.silverpeas.mobile.client.apps.media.pages.SoundPage_SoundPageUiBinderImpl_GenBundle.class);
      // Setup section.

      return clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay;
    }

    /**
     * Getter for f_HTMLPanel1 called 1 times. Type: DEFAULT. Build precedence: 1.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_f_HTMLPanel1() {
      return build_f_HTMLPanel1();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_f_HTMLPanel1() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel f_HTMLPanel1 = new com.google.gwt.user.client.ui.HTMLPanel(template_html4().asString());
      // Setup section.
      f_HTMLPanel1.setStyleName("content");

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_HTMLPanel1.getElement());

        get_mediaTitle();
        get_previewContainer();
        get_domId2Element().get();
        get_domId5Element().get();
        get_domId6Element().get();
        get_domId11Element().get();
        get_creator();
        get_lastUpdate();

        // Detach section.
        __attachRecord__.detach();
      }
      f_HTMLPanel1.addAndReplaceElement(get_mediaFullSize(), get_domId2Element().get());
      f_HTMLPanel1.addAndReplaceElement(get_comments(), get_domId5Element().get());
      f_HTMLPanel1.addAndReplaceElement(get_link(), get_domId6Element().get());
      f_HTMLPanel1.addAndReplaceElement(get_operations(), get_domId11Element().get());

      return f_HTMLPanel1;
    }

    /**
     * Getter for mediaTitle called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.dom.client.HeadingElement get_mediaTitle() {
      return build_mediaTitle();
    }
    private com.google.gwt.dom.client.HeadingElement build_mediaTitle() {
      // Creation section.
      final com.google.gwt.dom.client.HeadingElement mediaTitle = new com.google.gwt.uibinder.client.LazyDomElement(get_domId0()).get().cast();
      // Setup section.

      this.owner.mediaTitle = mediaTitle;

      return mediaTitle;
    }

    /**
     * Getter for domId0 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId0;
    private java.lang.String get_domId0() {
      return domId0;
    }
    private java.lang.String build_domId0() {
      // Creation section.
      domId0 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId0;
    }

    /**
     * Getter for previewContainer called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.dom.client.DivElement get_previewContainer() {
      return build_previewContainer();
    }
    private com.google.gwt.dom.client.DivElement build_previewContainer() {
      // Creation section.
      final com.google.gwt.dom.client.DivElement previewContainer = new com.google.gwt.uibinder.client.LazyDomElement(get_domId1()).get().cast();
      // Setup section.

      this.owner.previewContainer = previewContainer;

      return previewContainer;
    }

    /**
     * Getter for domId1 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId1;
    private java.lang.String get_domId1() {
      return domId1;
    }
    private java.lang.String build_domId1() {
      // Creation section.
      domId1 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId1;
    }

    /**
     * Getter for domId2 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId2;
    private java.lang.String get_domId2() {
      return domId2;
    }
    private java.lang.String build_domId2() {
      // Creation section.
      domId2 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId2;
    }

    /**
     * Getter for mediaFullSize called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.Anchor get_mediaFullSize() {
      return build_mediaFullSize();
    }
    private com.google.gwt.user.client.ui.Anchor build_mediaFullSize() {
      // Creation section.
      final com.google.gwt.user.client.ui.Anchor mediaFullSize = (com.google.gwt.user.client.ui.Anchor) GWT.create(com.google.gwt.user.client.ui.Anchor.class);
      // Setup section.
      mediaFullSize.setHTML(template_html1().asString());

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(mediaFullSize.getElement());

        get_mediaPreview();
        get_player();

        // Detach section.
        __attachRecord__.detach();
      }

      this.owner.mediaFullSize = mediaFullSize;

      return mediaFullSize;
    }

    /**
     * Getter for mediaPreview called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.ImageElement get_mediaPreview() {
      return build_mediaPreview();
    }
    private com.google.gwt.dom.client.ImageElement build_mediaPreview() {
      // Creation section.
      final com.google.gwt.dom.client.ImageElement mediaPreview = new com.google.gwt.uibinder.client.LazyDomElement(get_domId3()).get().cast();
      // Setup section.

      this.owner.mediaPreview = mediaPreview;

      return mediaPreview;
    }

    /**
     * Getter for domId3 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId3;
    private java.lang.String get_domId3() {
      return domId3;
    }
    private java.lang.String build_domId3() {
      // Creation section.
      domId3 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId3;
    }

    /**
     * Getter for player called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.AudioElement get_player() {
      return build_player();
    }
    private com.google.gwt.dom.client.AudioElement build_player() {
      // Creation section.
      final com.google.gwt.dom.client.AudioElement player = new com.google.gwt.uibinder.client.LazyDomElement(get_domId4()).get().cast();
      // Setup section.

      this.owner.player = player;

      return player;
    }

    /**
     * Getter for domId4 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId4;
    private java.lang.String get_domId4() {
      return domId4;
    }
    private java.lang.String build_domId4() {
      // Creation section.
      domId4 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId4;
    }

    /**
     * Getter for domId2Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId2Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId2Element() {
      return domId2Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId2Element() {
      // Creation section.
      domId2Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId2());
      // Setup section.

      return domId2Element;
    }

    /**
     * Getter for domId5 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId5;
    private java.lang.String get_domId5() {
      return domId5;
    }
    private java.lang.String build_domId5() {
      // Creation section.
      domId5 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId5;
    }

    /**
     * Getter for comments called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton get_comments() {
      return build_comments();
    }
    private org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton build_comments() {
      // Creation section.
      final org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton comments = (org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton) GWT.create(org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton.class);
      // Setup section.

      this.owner.comments = comments;

      return comments;
    }

    /**
     * Getter for domId5Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId5Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId5Element() {
      return domId5Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId5Element() {
      // Creation section.
      domId5Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId5());
      // Setup section.

      return domId5Element;
    }

    /**
     * Getter for domId6 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId6;
    private java.lang.String get_domId6() {
      return domId6;
    }
    private java.lang.String build_domId6() {
      // Creation section.
      domId6 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId6;
    }

    /**
     * Getter for link called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.Anchor get_link() {
      return build_link();
    }
    private com.google.gwt.user.client.ui.Anchor build_link() {
      // Creation section.
      final com.google.gwt.user.client.ui.Anchor link = (com.google.gwt.user.client.ui.Anchor) GWT.create(com.google.gwt.user.client.ui.Anchor.class);
      // Setup section.
      link.setHTML(template_html2().asString());
      link.setStyleName("expand-more");
      link.setHref("javascript:;");
      link.addClickHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames1);

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(link.getElement());

        get_mediaType();
        get_mediaFileName();
        get_weight();
        get_dimensions();

        // Detach section.
        __attachRecord__.detach();
      }

      this.owner.link = link;

      return link;
    }

    /**
     * Getter for mediaType called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.ImageElement get_mediaType() {
      return build_mediaType();
    }
    private com.google.gwt.dom.client.ImageElement build_mediaType() {
      // Creation section.
      final com.google.gwt.dom.client.ImageElement mediaType = new com.google.gwt.uibinder.client.LazyDomElement(get_domId7()).get().cast();
      // Setup section.

      this.owner.mediaType = mediaType;

      return mediaType;
    }

    /**
     * Getter for domId7 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId7;
    private java.lang.String get_domId7() {
      return domId7;
    }
    private java.lang.String build_domId7() {
      // Creation section.
      domId7 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId7;
    }

    /**
     * Getter for mediaFileName called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.SpanElement get_mediaFileName() {
      return build_mediaFileName();
    }
    private com.google.gwt.dom.client.SpanElement build_mediaFileName() {
      // Creation section.
      final com.google.gwt.dom.client.SpanElement mediaFileName = new com.google.gwt.uibinder.client.LazyDomElement(get_domId8()).get().cast();
      // Setup section.

      this.owner.mediaFileName = mediaFileName;

      return mediaFileName;
    }

    /**
     * Getter for domId8 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId8;
    private java.lang.String get_domId8() {
      return domId8;
    }
    private java.lang.String build_domId8() {
      // Creation section.
      domId8 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId8;
    }

    /**
     * Getter for weight called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.SpanElement get_weight() {
      return build_weight();
    }
    private com.google.gwt.dom.client.SpanElement build_weight() {
      // Creation section.
      final com.google.gwt.dom.client.SpanElement weight = new com.google.gwt.uibinder.client.LazyDomElement(get_domId9()).get().cast();
      // Setup section.

      this.owner.weight = weight;

      return weight;
    }

    /**
     * Getter for domId9 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId9;
    private java.lang.String get_domId9() {
      return domId9;
    }
    private java.lang.String build_domId9() {
      // Creation section.
      domId9 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId9;
    }

    /**
     * Getter for dimensions called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.SpanElement get_dimensions() {
      return build_dimensions();
    }
    private com.google.gwt.dom.client.SpanElement build_dimensions() {
      // Creation section.
      final com.google.gwt.dom.client.SpanElement dimensions = new com.google.gwt.uibinder.client.LazyDomElement(get_domId10()).get().cast();
      // Setup section.

      this.owner.dimensions = dimensions;

      return dimensions;
    }

    /**
     * Getter for domId10 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId10;
    private java.lang.String get_domId10() {
      return domId10;
    }
    private java.lang.String build_domId10() {
      // Creation section.
      domId10 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId10;
    }

    /**
     * Getter for domId6Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId6Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId6Element() {
      return domId6Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId6Element() {
      // Creation section.
      domId6Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId6());
      // Setup section.

      return domId6Element;
    }

    /**
     * Getter for domId11 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId11;
    private java.lang.String get_domId11() {
      return domId11;
    }
    private java.lang.String build_domId11() {
      // Creation section.
      domId11 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId11;
    }

    /**
     * Getter for operations called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_operations() {
      return build_operations();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_operations() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel operations = new com.google.gwt.user.client.ui.HTMLPanel(template_html3().asString());
      // Setup section.
      operations.setStylePrimaryName("ops-closed");

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(operations.getElement());

        get_domId12Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      operations.addAndReplaceElement(get_download(), get_domId12Element().get());

      this.owner.operations = operations;

      return operations;
    }

    /**
     * Getter for domId12 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId12;
    private java.lang.String get_domId12() {
      return domId12;
    }
    private java.lang.String build_domId12() {
      // Creation section.
      domId12 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId12;
    }

    /**
     * Getter for download called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.user.client.ui.Anchor get_download() {
      return build_download();
    }
    private com.google.gwt.user.client.ui.Anchor build_download() {
      // Creation section.
      final com.google.gwt.user.client.ui.Anchor download = (com.google.gwt.user.client.ui.Anchor) GWT.create(com.google.gwt.user.client.ui.Anchor.class);
      // Setup section.
      download.setStyleName("downloadable");
      download.addClickHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames2);

      this.owner.download = download;

      return download;
    }

    /**
     * Getter for domId12Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId12Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId12Element() {
      return domId12Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId12Element() {
      // Creation section.
      domId12Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId12());
      // Setup section.

      return domId12Element;
    }

    /**
     * Getter for domId11Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId11Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId11Element() {
      return domId11Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId11Element() {
      // Creation section.
      domId11Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId11());
      // Setup section.

      return domId11Element;
    }

    /**
     * Getter for creator called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.dom.client.ParagraphElement get_creator() {
      return build_creator();
    }
    private com.google.gwt.dom.client.ParagraphElement build_creator() {
      // Creation section.
      final com.google.gwt.dom.client.ParagraphElement creator = new com.google.gwt.uibinder.client.LazyDomElement(get_domId13()).get().cast();
      // Setup section.

      this.owner.creator = creator;

      return creator;
    }

    /**
     * Getter for domId13 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId13;
    private java.lang.String get_domId13() {
      return domId13;
    }
    private java.lang.String build_domId13() {
      // Creation section.
      domId13 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId13;
    }

    /**
     * Getter for lastUpdate called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.dom.client.ParagraphElement get_lastUpdate() {
      return build_lastUpdate();
    }
    private com.google.gwt.dom.client.ParagraphElement build_lastUpdate() {
      // Creation section.
      final com.google.gwt.dom.client.ParagraphElement lastUpdate = new com.google.gwt.uibinder.client.LazyDomElement(get_domId14()).get().cast();
      // Setup section.

      this.owner.lastUpdate = lastUpdate;

      return lastUpdate;
    }

    /**
     * Getter for domId14 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId14;
    private java.lang.String get_domId14() {
      return domId14;
    }
    private java.lang.String build_domId14() {
      // Creation section.
      domId14 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId14;
    }
  }
}
